Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cpw.mods.fml.common.discovery.asm
Class ASMModParser

    java.lang.Object
      cpw.mods.fml.common.discovery.asm.ASMModParser

    public class ASMModParser

extends Object

Constructor Summary
`ASMModParser(InputStream stream)`

Method Summary
`void` | `addAnnotationArray(String name)`
`void` | `addAnnotationEnumProperty(String name, String desc, String value)`
`void` | `addAnnotationProperty(String key, Object value)`
`void` | `addSubAnnotation(String name, String desc)`
`void` | `beginNewTypeName(String typeQName, int classVersion, String superClassQName)`
`void` | `endArray()`
`void` | `endSubAnnotation()`
`LinkedList<ModAnnotation>` | `getAnnotations()`
`org.objectweb.asm.Type` | `getASMSuperType()`
`org.objectweb.asm.Type` | `getASMType()`
`String` | `getBaseModProperties()`
`int` | `getClassVersion()`
`boolean` | `isBaseMod(List<String> rememberedTypes)`
`void` | `sendToTable(ASMDataTable table, ModCandidate candidate)`
`void` | `setBaseModProperties(String foundProperties)`
`void` | `startClassAnnotation(String annotationName)`
`void` | `startFieldAnnotation(String fieldName, String annotationName)`
`String` | `toString()`
`void` | `validate()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ASMModParser

    public ASMModParser(InputStream stream)
                 throws IOException

Throws:
  `IOException`

Method Detail

### beginNewTypeName

    public void beginNewTypeName(String typeQName,
                                 int classVersion,
                                 String superClassQName)

### startClassAnnotation

    public void startClassAnnotation(String annotationName)

### addAnnotationProperty

    public void addAnnotationProperty(String key,
                                      Object value)

### startFieldAnnotation

    public void startFieldAnnotation(String fieldName,
                                     String annotationName)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getASMType

    public org.objectweb.asm.Type getASMType()

### getClassVersion

    public int getClassVersion()

### getASMSuperType

    public org.objectweb.asm.Type getASMSuperType()

### getAnnotations

    public LinkedList<ModAnnotation> getAnnotations()

### validate

    public void validate()

### isBaseMod

    public boolean isBaseMod(List<String> rememberedTypes)

### setBaseModProperties

    public void setBaseModProperties(String foundProperties)

### getBaseModProperties

    public String getBaseModProperties()

### sendToTable

    public void sendToTable(ASMDataTable table,
                            ModCandidate candidate)

### addAnnotationArray

    public void addAnnotationArray(String name)

### addAnnotationEnumProperty

    public void addAnnotationEnumProperty(String name,
                                          String desc,
                                          String value)

### endArray

    public void endArray()

### addSubAnnotation

    public void addSubAnnotation(String name,
                                 String desc)

### endSubAnnotation

    public void endSubAnnotation()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD